From: Colin Watson <cjwatson@debian.org>
Date: Sun, 16 Feb 2025 20:25:32 +0000
Subject: Inline uses of jaraco.test

`jaraco.test` isn't currently in Debian, but since we only care about
relatively recent versions of Python, inlining it is trivial.

Forwarded: not-needed
Last-Update: 2025-02-16
---
 cssutils/tests/test_property.py | 3 +--
 cssutils/tests/test_selector.py | 3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/cssutils/tests/test_property.py b/cssutils/tests/test_property.py
index 2185694..47a58c8 100644
--- a/cssutils/tests/test_property.py
+++ b/cssutils/tests/test_property.py
@@ -4,7 +4,6 @@ import re
 import xml.dom
 
 import pytest
-from jaraco.test import property_error
 
 import cssutils
 
@@ -150,7 +149,7 @@ class TestProperty(basetest.BaseTestCase):
         p = cssutils.css.property.Property(r'c\olor', 'red')
         assert r'c\olor' == p.literalname
         with pytest.raises(
-            AttributeError, match=property_error("Property.literalname")
+            AttributeError, match="property 'literalname' of 'Property' object has no setter"
         ):
             p.literalname = 'color'
 
diff --git a/cssutils/tests/test_selector.py b/cssutils/tests/test_selector.py
index a37ceef..3cfe697 100644
--- a/cssutils/tests/test_selector.py
+++ b/cssutils/tests/test_selector.py
@@ -10,7 +10,6 @@ what should happen here?
 import xml.dom
 
 import pytest
-from jaraco.test import property_error
 
 import cssutils
 
@@ -384,7 +383,7 @@ class TestSelector(basetest.BaseTestCase):
 
         # property is read-only
         with pytest.raises(
-            AttributeError, match=property_error('Selector.specificity')
+            AttributeError, match="property 'specificity' of 'Selector' object has no setter"
         ):
             selector.specificity = 1
 
